//User setup - Zde si nastavte následující tři proměnné:
#define PRINTER_NAME "Rebel II"  //Název tiskárny zobrazovaný v PC
#define PIN_NUMBER "1234"        //Čtyřmístné číselné heslo pro spárování s PC
#define BLUETOOTH_SPEED 9600     //Pokud konfigurujete nový Bluetooth modul, nechejte tak. Pokud měníte existující konfiguraci modulu, změňte rychlost na 57600.

#include <SoftwareSerial.h>

// Propojení Arduina s Bluetooth modulem:
//   Pin 10 --> Bluetooth TX
//   Pin 11 --> Bluetooth RX
SoftwareSerial mySerial(10, 11); // RX, TX


/*
  The posible baudrates are:
    AT+BAUD1-------1200
    AT+BAUD2-------2400
    AT+BAUD3-------4800
    AT+BAUD4-------9600 - Default for hc-06
    AT+BAUD5------19200
    AT+BAUD6------38400
    AT+BAUD7------57600 
    AT+BAUD8-----115200 - 3D Printer Speed
    AT+BAUD9-----230400
    AT+BAUDA-----460800
    AT+BAUDB-----921600
    AT+BAUDC----1382400
*/


void setup()
{
  Serial.begin(9600);      
  Serial.println("Starting config");
  mySerial.begin(BLUETOOTH_SPEED);
  delay(1000);

  // Should respond with OK
  mySerial.print("AT");
  waitForResponse();

  // Should respond with its version
  mySerial.print("AT+VERSION");
  waitForResponse();

  // Set pin to pair with PC
  mySerial.print("AT+PIN");
  mySerial.print(PIN_NUMBER);
  waitForResponse();

  // Set the name to 3DPrinter
  mySerial.print("AT+NAME");
  mySerial.print(PRINTER_NAME);
  waitForResponse();

  // Set baudrate to 115200
  mySerial.print("AT+BAUD8");
  waitForResponse();

  Serial.println("Done!");
}

void waitForResponse() {
    delay(1000);
    while (mySerial.available()) {
      Serial.write(mySerial.read());
    }
    Serial.write("\n");
}

void loop() {} 
